summaryrefslogtreecommitdiffstats
path: root/modules/streams/deepmix
diff options
context:
space:
mode:
Diffstat (limited to 'modules/streams/deepmix')
-rwxr-xr-xmodules/streams/deepmix28
1 files changed, 26 insertions, 2 deletions
diff --git a/modules/streams/deepmix b/modules/streams/deepmix
index 687ad6d9..8b13bed6 100755
--- a/modules/streams/deepmix
+++ b/modules/streams/deepmix
@@ -1,3 +1,27 @@
-#! /bin/sh
+#! /bin/bash
set -euf
-exec mplayer http://deepmix.ru/deepmix128.pls
+CMD="while :; do mplayer http://deepmix.ru/deepmix128.pls; done"
+function start() {
+ stop
+ tmux list-sessions &&
+ tmux new-window "$CMD" ||
+ tmux new-session "$CMD"
+}
+function stop() {
+ pkill mplayer || :
+}
+case "$1" in
+ start)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ restart)
+ stop
+ start
+ ;;
+ *)
+ echo "aidsballs"
+ ;;
+esac